Measurement & Automation Explorer Help for IVI™

November 2009, 370245K-01

This help file contains information on configuring IVI instruments using Measurement & Automation Explorer (MAX).

To navigate this help file, use the Contents, Index, and Search tabs to the left of this window.

For more information about this help file, refer to the following topics:

Conventions—contains the formatting and typographical conventions in this help file

Related Documentation

Important Information

Technical Support and Professional Services

To comment on National Instruments documentation, refer to the National Instruments Web site.

© 2000–2009 National Instruments Corporation. All rights reserved.


Related Documentation

Most IVI manuals also are available as PDFs. You must have Adobe Reader with Search and Accessibility 5.0.5 or later installed to view the PDFs. Refer to the Adobe Systems Incorporated Web site at www.adobe.com to download Adobe Reader. Refer to the National Instruments Product Manuals Library at ni.com/manuals for updated documentation resources.

The following documents contain information that you may find helpful as you use this help file:

  • IVI Class Driver Help for LabVIEW
  • IVI Class Driver Help for LabWindows™/CVI™
  • LabWindows™/CVI™ Instrument Driver Developers Guide
  • National Instruments IVI Driver Help


Using Help

Conventions

Navigating Help

Searching Help

Printing Help File Topics


Conventions

This help file uses the following formatting and typographical conventions:

Conventions» | The » symbol leads you through nested menu items and dialog box options to a final action. The sequence File»Page Setup»Options directs you to pull down the File menu, select the Page Setup item, and select Options from the last dialog box.
Note | This icon denotes a note, which alerts you to important information.
bold | Bold text denotes items that you must select or click in the software, such as menu items and dialog box options. Bold text also denotes parameter names.
green | Underlined text in this color denotes a link to a help topic, help file, or Web address.
purple | Underlined text in this color denotes a visited link to a help topic, help file, or Web address.
italic | Italic text denotes variables, emphasis, cross-references, or an introduction to a key concept. Italic text also denotes text that is a placeholder for a word or value that you must supply.
monospace | Text in this font denotes text or characters that you should enter from the keyboard, sections of code, programming examples, and syntax examples. This font is also used for the proper names of disk drives, paths, directories, programs, subprograms, subroutines, device names, functions, operations, variables, filenames, and extensions.


Navigating Help (Windows Only)

To navigate this help file, use the Contents, Index, and Search tabs to the left of this window or use the following toolbar buttons located above the tabs:

Note Note The information in this topic only applies to the help file installed with the Windows version of the software.
  • Hide—Hides the navigation pane from view.
  • Locate—Locates the currently displayed topic in the Contents tab, allowing you to view related topics.
  • Back—Displays the previously viewed topic.
  • Forward—Displays the topic you viewed before clicking the Back button.
  • Options—Displays a list of commands and viewing options for the help file.


Searching Help (Windows Only)

Use the Search tab to the left of this window to locate content in this help file.
Note Note The information in this topic only applies to the help file installed with the Windows version of the software.

If you want to search for words in a certain order, such as "related documentation," add quotation marks around the search words as shown in the example. Searching for terms on the Search tab allows you to quickly locate specific information and information in topics that are not included on the Contents tab.

Tip Tip You can temporarily disable the search highlighting feature by selecting Options»Search Highlight Off from the toolbar.

Wildcards

You also can search using asterisk (*) or question mark (?) wildcards. Use the asterisk wildcard to return topics that contain a certain string. For example, a search for "prog*" lists topics that contain the words "program," "programmatically," "progress," and so on.

Use the question mark wildcard as a substitute for a single character in a search term. For example, "?ext" lists topics that contain the words "next," "text," and so on.

Note Note Wildcard searching will not work on Simplified Chinese, Traditional Chinese, Japanese, and Korean systems.

Nested Expressions

Use nested expressions to combine searches to further refine a search. You can use Boolean expressions and wildcards in a nested expression. For example, "example AND (program OR VI)" lists topics that contain "example program" or "example VI." You cannot nest expressions more than five levels.

Boolean Expressions

Click the Boolean Button button to add Boolean expressions to a search. The following Boolean operators are available:

  • AND (default)—Returns topics that contain both search terms. You do not need to specify this operator unless you are using nested expressions.
  • OR—Returns topics that contain either the first or second term.
  • NOT—Returns topics that contain the first term without the second term.
  • NEAR—Returns topics that contain both terms within eight words of each other.

Search Options

Use the following checkboxes on the Search tab to customize a search:

  • Search previous results—Narrows the results from a search that returned too many topics. You must remove the checkmark from this checkbox to search all topics.
  • Match similar words—Broadens a search to return topics that contain words similar to the search terms. For example, a search for "program" lists topics that include the words "programs," "programming," and so on.
  • Search titles only—Searches only in the titles of topics.


Printing Help File Topics (Windows Only)

Complete the following steps to print an entire book from the Contents tab:

Note Note The information in this topic only applies to the help file installed with the Windows version of the software.
  1. Right-click the book.
  2. Select Print from the shortcut menu to display the Print Topics dialog box.
  3. Select the Print the selected heading and all subtopics option.
    Note Note Select Print the selected topic if you want to print the single topic you have selected in the Contents tab.
  4. Click the OK button.

Printing PDF Documents

This help file may contain links to PDF documents. To print PDF documents, click the print button located on the Adobe Acrobat Viewer toolbar.


Overview-Configuring IVI Instruments Using MAX

To create and configure IVI instruments using Measurement & Automation Explorer (MAX), refer to the following topics:

  • Creating a New Logical Name
  • Configuring a Logical Name
  • Creating a New Driver Session
  • Configuring a Driver Session
  • Creating a New Instrument Driver Software Module
  • Configuring an Instrument Driver Software Module
  • Configuring a Simulation Driver Software Module
  • Creating a New Simulation Driver Session
  • Configuring a Simulation Driver Session


Logical Names

Logical names allow you to define and name multiple driver sessions. You can switch between driver sessions by passing a logical name to the initialize function of a class driver, which identifies the software module and hardware asset to use (example: "SampleDmm"). Application programs written using a class driver use logical names to avoid direct references to software modules and hardware assets.


Creating a New Logical Name

To create a new logical name, complete the following steps:

  1. Launch MAX (Start»Programs»National Instruments»Measurement & Automation).
  2. Expand the IVI Drivers category.
  3. Right-click Logical Names in the MAX configuration tree.
  4. Select Create New (case-sensitive).
  5. Replace the default logical name, NewLogicalName, with the new case-sensitive name of your choice.
  6. Configure the new logical name.


Configuring a Logical Name

Logical names allow you to define and name multiple driver sessions. You can switch between driver sessions by passing a logical name to the initialize function of a class driver, which identifies the software module and hardware asset to use (example: "SampleDmm"). Application programs written using a class driver use logical names to avoid direct references to software modules and hardware assets.

To configure the properties of a new logical name or to modify an existing logical name, complete the following steps:

  1. Click the appropriate logical name in the MAX configuration tree.
  2. Select a driver session from the Driver Session listbox.
  3. Enter the description you want to use for the logical name in the Description field.
  4. Click Save IVI Configuration at the top of the configuration view to save the new logical name configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.
Note To view the properties of the driver session you have selected, click Go To to the right of the Driver Session listbox.


Driver Sessions

A driver session defines a set of properties for use by IVI instrument drivers such as initial settings for attributes, virtual name mappings, simulation settings, and so on.


Creating a New Driver Session

To create a driver session, complete the following steps:

  1. Launch MAX (Start»Programs»National Instruments»Measurement & Automation).
  2. Expand the IVI Drivers category.
  3. Right-click Driver Sessions in the MAX configuration tree.
  4. Select Create New (case-sensitive).
  5. Replace the default driver session name, NewDriverSession, with the new case-sensitive name of your choice.
  6. Configure the new driver session.


Configuring a Driver Session

A driver session defines a set of properties for use by IVI instrument driver software modules, such as initial configurable settings for attributes, virtual name mappings, simulation settings, and so on. Multiple driver sessions can exist for each instrument driver software module.

To configure the properties of a new driver session or to modify an existing driver session, complete the following steps:

  1. Click the appropriate driver session in the MAX configuration tree.
  2. Enter the appropriate configuration information on one or more of the following tabs: General, Hardware, Software, Virtual Names, Initial Settings.
  3. After you complete your configuration, click Save IVI Configuration at the top of the configuration view to save the new driver session configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.


General Tab

  1. On the General tab, complete the following fields:
    • Initialization Options—Place a checkmark to the left of the options you want to enable:
      • Cache
      • Range Check
      • Record Coercions
      • Interchange Check
      • Query Instrument Status
    • Simulate With
    • Driver Setup
    • Description
  2. Click Save IVI Configuration at the top of the configuration view to save your changes on the General tab. If you decide not to save your changes, click Revert to revert to the previous configuration.

To configure additional properties of the driver session, click one of the following tabs: Hardware, Software, Virtual Names, or Initial Settings.


Hardware Tab

On the Hardware tab, do one of the following:

  • Select an existing hardware asset from the Hardware Asset table.

or

  • Create a new hardware asset by completing the following steps:
    1. Click Add.
    2. Enter the name of the new hardware asset in the Name field.
    3. Select a resource descriptor from the drop-down list or enter new resource descriptor information for the new hardware asset in the Resource Descriptor field.
    4. Enter a description for the new hardware asset in the Description field.
    5. Click Save IVI Configuration at the top of the configuration view to save the new hardware asset configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.

To configure additional properties of the driver session, click one of the following tabs: General, Software, Virtual Names, or Initial Settings.


Software Tab

On the Software tab, select a software module from the Software Module listbox.

After you select a software module, the following fields display information about the software module you have selected: Prefix, Prog ID, Assembly Qualified Class Name, Module Path (32-bit), Module Path (64-bit), Published APIs, and Supported Instrument Models.

To configure additional properties of the driver session, click one of the following tabs: General, Hardware, Virtual Names, or Initial Settings.


Virtual Names Tab

To create a new virtual name, complete the following steps:

  1. Click Add.
  2. In the Virtual Name field, enter the new virtual name you want to create.
  3. Double-click on the Physical Name field and select a mapping from the drop-down list or enter a new mapping directly into the Physical Name field.
  4. Click Save IVI Configuration at the top of the configuration view to save the new virtual name configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.

The new mapping appears in the Virtual Name Mappings table.

Note To remove a virtual name, highlight its name in the Virtual Name Mappings table and click Remove.

To configure additional properties of the driver session, click one of the following tabs: General, Hardware, Software, or Initial Settings.


Initial Settings Tab

On the Initial Settings tab, you may see one of the following conditions:

  • If the Configurable Settings table is enabled, you can add settings to or remove settings from the Initial Settings list. To add settings, highlight a setting in the Configurable Settings list and click Add ( [image]). You can modify the Value field in the Initial Settings table. To remove settings, highlight a setting in the Initial Settings list and click Remove ( [image]).
Note If the driver does not define configurable initial settings, the list will be empty.
  • If the Configurable Settings table is disabled (grayed out), you can only remove settings from the Initial Settings table. To remove settings, highlight a setting in the Initial Settings list and click Remove ( [image]).


Instrument Driver Software Modules

An instrument driver software module specifies a code module, such as a DLL, for a specific driver. The class driver uses the code module to communicate with the hardware. The instrument driver software module also specifies the Prefix, Prog ID, Assembly Qualified Class Name, Module Path (32-bit), Module Path (64-bit), Supported Instrument Models, and Published API.


Creating a New Instrument Driver Software Module

To create an instrument driver software module, complete the following steps:

  1. Launch MAX (Start»Programs»National Instruments»Measurement & Automation).
  2. Expand the IVI Drivers category.
  3. Expand the Advanced category.
  4. Right-click Instrument Driver Software Modules in the MAX configuration tree.
  5. Select Create New (case-sensitive).
  6. Replace the default software module name, NewSoftwareModule, with the new case-sensitive name of your choice.
  7. Configure the new software module.


Configuring an Instrument Driver Software Module

An instrument driver software module is a particular instrument driver software component that is installed and registered on your system.

To configure the properties of a new software module or modify the properties of an existing software module, complete the following steps:

  1. Click the appropriate software module in the MAX configuration tree.
  2. Enter the appropriate information on the following tabs:
    • General
    • Supported Models
    • Physical Names
    • Configurable Settings
  3. After you complete your configuration, click Save IVI Configuration at the top of the configuration view to save the new software module configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.

To uninstall a software module, complete the following steps:

  1. Select Control Panel»Add or Remove Programs»NI IVI Specific Drivers.
  2. Click Remove.
  3. In the Instrument Driver Installation Manager dialog box, complete the following steps:
    1. Use the Selections listboxes to narrow down the list of installed specific drivers.
    2. Select the name of the specific driver you want to remove from the displayed list.
    3. Click Remove.
    4. Click Done.


General Tab

  1. On the General tab, complete the following fields:
    • Prefix (case-sensitive) or Prog ID
    • Assembly Qualified Class Name
    • Module Path (32-bit)
    • Module Path (64-bit)
    • Published APIs
  2. Click Save IVI Configuration at the top of the configuration view to save your changes on the General tab. If you decide not to save your changes, click Revert to revert to the previous configuration.

To add a published API, complete the following steps:

  1. Click Add.
  2. Select the name of the published API you want to create from the Name listbox.
  3. Double-click to enter the version of the published API in the Version field.
  4. Double-click to select the type of the published API from the Type listbox.
  5. Click Save IVI Configuration at the top of the configuration view to save the Published APIs configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.
Note To remove a published API, select the API from the Published APIs table and click Remove.

To configure additional properties of the instrument driver software module, click one of the following tabs: Supported Models, Physical Names, or Configurable Settings.


Supported Models Tab

On the Supported Models tab, list all instrument models supported by this software module. Enter each model name on a separate line. Click Save IVI Configuration at the top of the configuration view to save the changes. If you decide not to save your changes, click Revert to revert to the previous configuration.

To configure additional properties of the instrument driver software module, click one of the following tabs: General, Physical Names, or Configurable Settings.


Physical Names Tab

To add a physical name, complete the following steps:

  1. Click Add.
  2. Enter the physical name you want to create in the Physical Name field.
  3. Double-click to enter a new name or leave the default name in the Repeated Capability Name field.
  4. Click Save IVI Configuration at the top of the configuration view to save the physical name configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.

The new mapping appears in the Physical Names table.

Note To remove a physical name, select the name from the Physical Names table and click Remove.

To configure additional properties of the instrument driver software module, click one of the following tabs: General, Supported Models, or Configurable Settings.


Configurable Settings Tab

To add a new configurable setting, complete the following steps:

  1. Click Add.
  2. Enter the appropriate information in the Configurable Settings table.
  3. Click Save IVI Configuration at the top of the configuration view to save the new configurable setting configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.
Note To remove a configurable setting, select it from the Configurable Settings table and click Remove.

To configure additional properties of the instrument driver software module, click one of the following tabs: General, Supported Models, or Physical Names.


Simulation Driver Software Modules

A simulation driver software module is a software component that "plugs in" to the corresponding class driver and performs flexible output data simulation.


Configuring a Simulation Driver Software Module

A simulation driver software module is a software component that "plugs in" to the corresponding class driver and performs flexible output data simulation. A simulation driver software module is not configurable using MAX. You cannot modify, add, or remove a simulation driver software module using MAX.


Simulation Driver Sessions

A simulation driver session refers to a particular simulation driver and to the initial attribute settings for that driver. Multiple simulation driver sessions can exist for each simulation driver software module.


Creating a New Simulation Driver Session

To create a driver session, complete the following steps:

  1. Launch MAX (Start»Programs»National Instruments»Measurement & Automation).
  2. Expand the IVI Drivers category.
  3. Expand the Advanced category.
  4. Right-click Simulation Driver Sessions in the MAX configuration tree.
  5. Select Create New (case-sensitive).
  6. Replace the default Simulation Driver Software Module name, NewSimDriverSession, with the new case-sensitive name of your choice.
  7. Configure the new driver session.


Configuring a Simulation Driver Session

A simulation driver session refers to a particular simulation driver and to the initial attribute settings for that driver. Multiple simulation driver sessions can exist for each simulation driver software module.

To configure the properties of a new simulation driver session or to modify an existing simulation driver session, complete the following steps:

  1. Click the appropriate driver session in the MAX configuration tree.
  2. Click one or more of the following tabs in the configuration view and enter the appropriate configuration information:
    • General Tab
    • Initial Settings Tab
  3. After you complete your configuration, click Save IVI Configuration at the top of the configuration view to save the new driver session configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.


General Tab

  1. On the General tab, complete the following fields:
    • Select a simulation driver from the listbox.
    • Enter or modify the description you want to use for the simulation driver session in the Description field.
  2. Click Save IVI Configuration at the top of the configuration view to save your changes on the General tab. If you decide not to save your changes, click Revert to revert to the previous configuration.

To configure initial settings of the driver session, click the Initial Settings tab.


Initial Settings Tab

On the Initial Settings tab, you can copy or remove initial settings.

Copying Settings

To copy settings to the Initial Settings table, highlight the name of a setting in the Configurable Settings table and click Copy.

Removing Settings

To remove settings, highlight the name of a setting in the Initial Settings list and click Remove.

Note You can modify the value of any initial setting by selecting it in the Initial Settings list and changing the Value field.

To configure additional properties of the driver session, click the General tab.


Important Information

Warranty

Copyright

Trademarks

Patents

Warning Regarding Use of NI Products


Warranty

The media on which you receive National Instruments software are warranted not to fail to execute programming instructions, due to defects in materials and workmanship, for a period of 90 days from date of shipment, as evidenced by receipts or other documentation. National Instruments will, at its option, repair or replace software media that do not execute programming instructions if National Instruments receives notice of such defects during the warranty period. National Instruments does not warrant that the operation of the software shall be uninterrupted or error free.

A Return Material Authorization (RMA) number must be obtained from the factory and clearly marked on the outside of the package before any equipment will be accepted for warranty work. National Instruments will pay the shipping costs of returning to the owner parts which are covered by warranty.

National Instruments believes that the information in this document is accurate. The document has been carefully reviewed for technical accuracy. In the event that technical or typographical errors exist, National Instruments reserves the right to make changes to subsequent editions of this document without prior notice to holders of this edition. The reader should consult National Instruments if errors are suspected. In no event shall National Instruments be liable for any damages arising out of or related to this document or the information contained in it.

EXCEPT AS SPECIFIED HEREIN, NATIONAL INSTRUMENTS MAKES NO WARRANTIES, EXPRESS OR IMPLIED, AND SPECIFICALLY DISCLAIMS ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. CUSTOMER'S RIGHT TO RECOVER DAMAGES CAUSED BY FAULT OR NEGLIGENCE ON THE PART OF NATIONAL INSTRUMENTS SHALL BE LIMITED TO THE AMOUNT THERETOFORE PAID BY THE CUSTOMER. NATIONAL INSTRUMENTS WILL NOT BE LIABLE FOR DAMAGES RESULTING FROM LOSS OF DATA, PROFITS, USE OF PRODUCTS, OR INCIDENTAL OR CONSEQUENTIAL DAMAGES, EVEN IF ADVISED OF THE POSSIBILITY THEREOF. This limitation of the liability of National Instruments will apply regardless of the form of action, whether in contract or tort, including negligence. Any action against National Instruments must be brought within one year after the cause of action accrues. National Instruments shall not be liable for any delay in performance due to causes beyond its reasonable control. The warranty provided herein does not cover damages, defects, malfunctions, or service failures caused by owner's failure to follow the National Instruments installation, operation, or maintenance instructions; owner's modification of the product; owner's abuse, misuse, or negligent acts; and power failure or surges, fire, flood, accident, actions of third parties, or other events outside reasonable control.


Copyright

Under the copyright laws, this publication may not be reproduced or transmitted in any form, electronic or mechanical, including photocopying, recording, storing in an information retrieval system, or translating, in whole or in part, without the prior written consent of National Instruments Corporation.

National Instruments respects the intellectual property of others, and we ask our users to do the same. NI software is protected by copyright and other intellectual property laws. Where NI software may be used to reproduce software or other materials belonging to others, you may use NI software only to reproduce materials that you may reproduce in accordance with the terms of any applicable license or other legal restriction.


Trademarks

National Instruments, NI, ni.com, and LabVIEW are trademarks of National Instruments Corporation. Refer to the Terms of Use section on ni.com/legal for more information about National Instruments trademarks.

FireWire® is the registered trademark of Apple Inc.

Handle Graphics®, MATLAB®, Real-Time Workshop®, Simulink®, Stateflow®, and xPC TargetBox® are registered trademarks, and TargetBox™ and Target Language Compiler™ are trademarks of The MathWorks, Inc.

Tektronix® and Tek are registered trademarks of Tektronix, Inc.

The Bluetooth® word mark is a registered trademark owned by the Bluetooth SIG, Inc.

Other product and company names mentioned herein are trademarks or trade names of their respective companies.

Members of the National Instruments Alliance Partner Program are business entities independent from National Instruments and have no agency, partnership, or joint-venture relationship with National Instruments.


Patents

For patents covering the National Instruments products/technology, refer to the appropriate location: Help»Patents in your software, the patents.txt file on your media, or the National Instruments Patent Notice at ni.com/patents.


WARNING REGARDING USE OF NATIONAL INSTRUMENTS PRODUCTS

(1) NATIONAL INSTRUMENTS PRODUCTS ARE NOT DESIGNED WITH COMPONENTS AND TESTING FOR A LEVEL OF RELIABILITY SUITABLE FOR USE IN OR IN CONNECTION WITH SURGICAL IMPLANTS OR AS CRITICAL COMPONENTS IN ANY LIFE SUPPORT SYSTEMS WHOSE FAILURE TO PERFORM CAN REASONABLY BE EXPECTED TO CAUSE SIGNIFICANT INJURY TO A HUMAN.

(2) IN ANY APPLICATION, INCLUDING THE ABOVE, RELIABILITY OF OPERATION OF THE SOFTWARE PRODUCTS CAN BE IMPAIRED BY ADVERSE FACTORS, INCLUDING BUT NOT LIMITED TO FLUCTUATIONS IN ELECTRICAL POWER SUPPLY, COMPUTER HARDWARE MALFUNCTIONS, COMPUTER OPERATING SYSTEM SOFTWARE FITNESS, FITNESS OF COMPILERS AND DEVELOPMENT SOFTWARE USED TO DEVELOP AN APPLICATION, INSTALLATION ERRORS, SOFTWARE AND HARDWARE COMPATIBILITY PROBLEMS, MALFUNCTIONS OR FAILURES OF ELECTRONIC MONITORING OR CONTROL DEVICES, TRANSIENT FAILURES OF ELECTRONIC SYSTEMS (HARDWARE AND/OR SOFTWARE), UNANTICIPATED USES OR MISUSES, OR ERRORS ON THE PART OF THE USER OR APPLICATIONS DESIGNER (ADVERSE FACTORS SUCH AS THESE ARE HEREAFTER COLLECTIVELY TERMED "SYSTEM FAILURES"). ANY APPLICATION WHERE A SYSTEM FAILURE WOULD CREATE A RISK OF HARM TO PROPERTY OR PERSONS (INCLUDING THE RISK OF BODILY INJURY AND DEATH) SHOULD NOT BE RELIANT SOLELY UPON ONE FORM OF ELECTRONIC SYSTEM DUE TO THE RISK OF SYSTEM FAILURE. TO AVOID DAMAGE, INJURY, OR DEATH, THE USER OR APPLICATION DESIGNER MUST TAKE REASONABLY PRUDENT STEPS TO PROTECT AGAINST SYSTEM FAILURES, INCLUDING BUT NOT LIMITED TO BACK-UP OR SHUT DOWN MECHANISMS. BECAUSE EACH END-USER SYSTEM IS CUSTOMIZED AND DIFFERS FROM NATIONAL INSTRUMENTS' TESTING PLATFORMS AND BECAUSE A USER OR APPLICATION DESIGNER MAY USE NATIONAL INSTRUMENTS PRODUCTS IN COMBINATION WITH OTHER PRODUCTS IN A MANNER NOT EVALUATED OR CONTEMPLATED BY NATIONAL INSTRUMENTS, THE USER OR APPLICATION DESIGNER IS ULTIMATELY RESPONSIBLE FOR VERIFYING AND VALIDATING THE SUITABILITY OF NATIONAL INSTRUMENTS PRODUCTS WHENEVER NATIONAL INSTRUMENTS PRODUCTS ARE INCORPORATED IN A SYSTEM OR APPLICATION, INCLUDING, WITHOUT LIMITATION, THE APPROPRIATE DESIGN, PROCESS AND SAFETY LEVEL OF SUCH SYSTEM OR APPLICATION.


Technical Support and Professional Services

Visit the following sections of the award-winning National Instruments Web site at ni.com for technical support and professional services:

  • Support—Technical support at ni.com/support includes the following resources:
    • Self-Help Resources—For answers and solutions, visit ni.com/support for software drivers and updates, a searchable KnowledgeBase, product manuals, step-by-step troubleshooting wizards, thousands of example programs, tutorials, application notes, instrument drivers, and so on. Registered users also receive access to the NI Discussion Forums at ni.com/forums. NI Applications Engineers make sure every question submitted online receives an answer.
    • Standard Service Program Membership—This program entitles members to direct access to NI Applications Engineers via phone and email for one-to-one technical support, as well as exclusive access to on demand training modules via the Services Resource Center. NI offers complementary membership for a full year after purchase, after which you may renew to continue your benefits.

      For information about other technical support options in your area, visit ni.com/services or contact your local office at ni.com/contact.

  • Training and Certification—Visit ni.com/training for self-paced training, eLearning virtual classrooms, interactive CDs, and Certification program information. You also can register for instructor-led, hands-on courses at locations around the world.
  • System Integration—If you have time constraints, limited in-house technical resources, or other project challenges, National Instruments Alliance Partner members can help. To learn more, call your local NI office or visit ni.com/alliance.

If you searched ni.com and could not find the answers you need, contact your local office or NI corporate headquarters. You also can visit the Worldwide Offices section of ni.com/niglobal to access the branch office Web sites, which provide up-to-date contact information, support phone numbers, email addresses, and current events.


Branch Offices

Office | Telephone Number
Australia | 1800 300 800
Austria | 43 662 457990-0
Belgium | 32 (0) 2 757 0020
Brazil | 55 11 3262 3599
Canada | 800 433 3488
China | 86 21 5050 9800
Czech Republic | 420 224 235 774
Denmark | 45 45 76 26 00
Finland | 358 (0) 9 725 72511
France | 33 (0) 1 57 66 24 24
Germany | 49 89 7413130
India | 91 80 41190000
Israel | 972 0 3 6393737
Italy | 39 02 41309277
Japan | 0120-527196 / 81 3 5472 2970
Korea | 82 02 3451 3400
Lebanon | 961 (0) 1 33 28 28
Malaysia | 1800 887710
Mexico | 01 800 010 0793
Netherlands | 31 (0) 348 433 466
New Zealand | 0800 553 322
Norway | 47 (0) 66 90 76 60
Poland | 48 22 328 90 10
Portugal | 351 210 311 210
Russia | 7 495 783 6851
Singapore | 1800 226 5886
Slovenia | 386 3 425 42 00
South Africa | 27 0 11 805 8197
Spain | 34 91 640 0085
Sweden | 46 (0) 8 587 895 00
Switzerland | 41 56 2005151
Taiwan | 886 02 2377 2222
Thailand | 662 278 6777
Turkey | 90 212 279 3031
United Kingdom | 44 (0) 1635 523545
United States (Corporate) | 512 683 0100


Add

Click this button to add attributes to the list of initial settings.


Assembly Qualified Class Name

Specifies the assembly qualified class name of the default .NET class of the software module. If you create a new software module, this field is empty. Enter an assembly qualified class name for new software modules that you create.


Assembly Qualified Class Name

A read-only field that specifies the assembly qualified class name of the default .NET class of the software module.


Browse

Opens a file selection dialog box, which you can use to browse to the file you want to specify.


Cache

Enable this checkbox to cache the value of attributes. When caching is enabled, the IVI specific driver keeps track of the current instrument settings to avoid sending redundant commands to the instrument.


Configurable Settings

Contains the list of settings for which you can set the initial values. To apply these values at initialization, you must add attributes from the Configurable Settings list to the Initial Settings list using the Add ( [image]) button.

The table contains the following fields:

  • Name–A read-only field containing the name of the setting.
  • Type–A read-only field containing the data type of the attribute of the selected setting.
  • Default Value–A read-only field containing the default value of the attribute.
  • Required–A read-only field that specifies whether the setting is required or optional for this driver session. If the setting is required, it cannot be removed.
  • Description–A read-only field containing the description of the selected initial setting.
Note If the driver does not define configurable initial settings, the list will be empty.


Context Help

This window displays context-sensitive help. Move the cursor over a control or indicator for more information about it.


Description

Enter or modify the description for the item you are configuring.


Driver Session

The driver session listbox contains the list of all driver sessions to which a logical name can refer. By selecting a driver session from the list, you are associating your logical name with a particular set of properties for use by the driver.


Driver Setup

Enter the Driver Setup string in this field. Each IVI specific driver defines its own meaning and valid values for the Driver Setup attribute. Many specific drivers use the Driver Setup string to configure instrument specific features at initialization. For example, if a specific driver supports a family of instrument models, the driver can use the Driver Setup attribute to allow you to specify a particular instrument model to simulate. Refer to the documentation for the specific driver for more information regarding the format of the driver specific setup string you should use in the Driver Setup field.


Add

Click this button to create and configure a new virtual name mapping. Click Add and enter the new virtual name and physical name in the appropriate fields.


Go To

Click Go To to display the MAX configuration view of the selected item.


Hardware Asset

The Hardware Assets table contains the list of all previously configured hardware assets. Select the appropriate hardware asset for this driver session. If the Simulate option under the General tab is checked, select None for the hardware asset.

To add a new hardware asset to the list, click Add, Enter the name of the instrument in the Name field (for example, fl45), and press <Enter> on the keyboard. Then populate the Resource Descriptor field (for example, GPIB::5::INSTR) and the Description field.

The Hardware Assets table contains the following fields:

  • Name–Double-click to enter or modify the name of the hardware asset. Check the box next to the name of the default asset.
  • Resource Descriptor–Select a resource descriptor from the drop-down list or enter a valid resource descriptor for the hardware asset in this box. A resource descriptor is a string, such as a VISA resource descriptor, that specifies the interface and the address of a hardware asset. Examples of valid resource descriptors are listed in the following table.

    Note The resource descriptor list is populated from the Devices and Interfaces category. If your device is not listed, go to Devices and Interfaces and configure it.

    GPIB::22::INSTR
    GPIB1::22::5::INSTR
    VXI::64::INSTR
    ASRL2::INSTR
    GPIB::22::INSTR
    DAQ::1::INSTR (Traditional DAQ)
    PXI1Slot5 (NI-DAQmx)
  • Description–Double-click to enter or modify the description for the item you are configuring.


Add

Click this button to create and configure a hardware asset.


Remove

Click this button to remove an asset from the Hardware Assets list. Highlight the asset in the list and click Remove.


Configurable Settings

This table contains the list of configurable settings published by the software module. The table contains the following fields:

  • Name–Enter the name of a new configurable setting you want to create.
  • Software Module Key–Enter a string for the software module to use to identify the internal software element to which the configurable setting applies.
  • Type–Select the data type of the associated setting.
  • Default Value–Enter the default value of the setting.
  • Required–Specify whether the setting is required or optional for this software module.
  • Description–Enter the description of the selected initial setting.


Add

Click this button to add a configurable setting to the Configurable Settings table.


Remove

Click this button to remove a configurable setting from the Configurable Settings table.


Add

Click this button to add a new entry to the Published APIs table.


Remove

Click this button to remove an entry from the list. Select the item from the Published APIs table and click Remove.


Physical Names

This table represents a mapping between the physical name of an instrument and the associated repeated capability name.

The table contains the following fields:

  • Physical Name–Enter the physical name that you want to associate with the repeated capability name.
  • Repeated Capability Name–Enter the repeated capability name that is published by an IVI driver. The repeated capability is an instrument capability for which you can configure multiple instances independently. Examples of repeated capabilities include channels on an oscilloscope, traces on a spectrum analyzer, and markers on a RF signal generator.


Add

Click this button to create and configure a physical name mapping.


Remove

Click this button to remove a physical name mapping.


Prefix

Specifies the prefix associated with an existing instrument driver software module. If you create a new software module, this field is empty. Enter a prefix for new software modules that you create.


Prog ID

Specifies the version-independent Prog ID of the installed IVI-COM software module. If you create a new software module, this field is empty. Enter a Prog ID for new software modules that you create.


Supported Instrument Models

Displays a list of instrument models supported by the instrument driver software module. If you create a new software module, this field appears empty. Enter each model name on a separate line in this field.


Initial Settings

Contains the list of attribute value settings applied at initialization. Use the Add ( [image]) button to add settings to this list. Use the Remove ( [image]) button to remove settings.

The table contains the following fields:

  • Name–A read-only field containing the name of the setting.
  • Type–A read-only field containing the data type of the attribute of the selected setting.
  • Value–Contains the initial value that is applied to the attribute at initialization. You can edit the initial value in this field.
  • Required–A read-only field that specifies whether the setting is required or optional for this driver session. If the setting is required, it cannot be removed.
  • Description–A read-only field containing the description of the selected initial setting.
Note Note Fields marked with an asterisk (*) are editable.


Initial Settings

Contains the list of converted attribute value settings applied at initialization. Use the Remove button to remove settings from the list.

Note The Default Setup data has been replaced by Configurable Initial Settings. Because the Configurable Initial Settings are selected by the software module developer, and are recognized by the software module during initialization, Configurable Initial Settings are only added by the software module when it is installed. Using Configurable Initial Settings is more restrictive than using the Default Setup. The set of attributes available to your driver sessions in the Configurable Initial Settings is restricted to what is published by the driver developer in the software module entry for that driver. You can edit the value of these attributes for your driver session but you cannot add additional attributes to this list of Configurable Initial Settings.

If you need attributes that are not available in the Configurable Initial Settings list, National Instruments recommends that you contact the specific driver supplier.


Interchange Check

Enable this checkbox if you want the IVI specific driver to verify the ability to exchange hardware assets in a test system with few or no changes to the test system. When interchange checking is enabled, the driver generates a warning if it encounters a situation in which the application program might not produce the same behavior when used with a different instrument.


Module Path (32-bit)

Specifies either the simple filename or the full pathname of a native 32-bit software module, such as a DLL, for the driver. If you create a new software module, this field is empty. Enter the location and/or file name of the 32-bit file for new software modules that you create.

If this field contains a fully specified path to the instrument driver code module, make sure that the file is available at that location. If the field contains only a filename, make sure that the file is located in the system search path.


Module Path (64-bit)

Specifies either the simple filename or the full pathname of a native 64-bit software module, such as a DLL, for the driver. If you create a new software module, this field is empty. Enter the location and/or file name of the 64-bit file for new software modules that you create.

If this field contains a fully specified path to the instrument driver code module, make sure that the file is available at that location. If the field contains only a filename, make sure that the file is located in the system search path.


Module Path (32-bit)

A read-only field that specifies either the simple filename or the full pathname of a native 32-bit software module, such as a DLL, for the driver.

If this field contains a fully specified path to the instrument driver code module, the file should be available at that location. If the field contains only a filename, then the file should be located in the system search path.


Module Path (64-bit)

A read-only field that specifies either the simple filename or the full pathname of a native 64-bit software module, such as a DLL, for the driver.

If this field contains a fully specified path to the instrument driver code module, the file should be available at that location. If the field contains only a filename, then the file should be located in the system search path.


Prefix

A read-only field that specifies the prefix associated with this instrument driver software module.


Prog ID

A read-only field that specifies the version-independent Prog ID of the installed IVI-COM software module.


Published APIs

This table displays the published Application Programming Interface (API), which is an API designed for implementation across several software modules and is published independently of any one software module that implements it. One example is an IVI instrument class API.


Published APIs

This table displays the published Application Programming Interface (API), which is an API designed for implementation across several software modules and is published independently of any one software module that implements it. One example is an IVI instrument class API.

The table contains the following fields:

  • Name–Enter the name of the published API you want to add or modify.
  • Version–Enter the version of the published API you want to add or modify.
  • Type–Enter the type of the published API you want to add or modify.


Published APIs

This table displays the published Application Programming Interface (API), which is an API designed for implementation across several software modules and is published independently of any one software module that implements it. One example is an IVI instrument class API.

The table contains the following fields:

  • Name–A read-only field that contains the name of the published API.
  • Version–A read-only field that contains the version of the published API.
  • Type–A read-only field that contains the type of the published API.


Query Instrument Status

Enable this checkbox if you want the IVI specific driver to query the instrument status at the end of each user operation. Querying the instrument status is useful for debugging. After validating the program, you can remove the checkmark from this option to disable status checking and maximize performance. You specify this value for the entire driver session.


Range Check

Enable this checkbox if you want the IVI specific driver to validate attribute values and function parameters. Validating attribute values and function parameters is useful for debugging. After validating the program, you can remove the checkmark from this option to disable range checking and maximize performance.


Record Coercions

Enable this checkbox if you want to record a list of all coercions associated with this IVI session. A coercion occurs when an IVI specific driver alters the value that you specified for an attribute or parameter to a value that the specific driver or instrument can accept.


Remove

Click this button to remove a virtual name. Highlight the item in the Virtual Name Mappings field and click Remove.


Remove

Click this button to remove items from the Initial Settings table. Highlight the item in the Initial Settings table and click Remove.


Configurable Settings

Contains the list of settings for which you can set the initial values. To apply these values at initialization, you must copy attributes from the Configurable Settings list to the Initial Settings list using the Copy button. The Configurable Settings list includes all attributes of the simulation driver. You can copy an attribute multiple times to set different values for each copy. For more information about using attributes to control simulation, refer to National Instruments IVI Driver Help.

The table contains the following fields:

  • Name–A read-only field containing the name of the setting.
  • Type–A read-only field containing the data type of the attribute of the selected setting.
  • Default Value–A read-only field containing the default value of the attribute.
  • Description–A read-only field containing the description of the selected initial setting.


Copy

Click this button to copy attributes to the Initial Settings table.


Initial Settings

Contains a list of attribute value settings applied at initialization. Use Copy to copy settings from the Configurable Settings list. Click Remove to remove settings from this list.

The table contains the following fields:

  • Name–A read-only field containing the name of the setting.
  • Type–A read-only field containing the data type of the attribute of the selected setting.
  • Channel–Use this field to specify the channel to which you want to apply the initial settings at the initialization. If you would like to apply the initial settings to all channels, leave this field empty.
  • Value–Contains the initial value that is applied to the attribute at initialization. You can edit the initial value in this field.
  • Description–A read-only field containing the description of the selected initial setting.
Note Note Fields marked with an asterisk (*) are editable.


Initial Settings

Contains a list of attribute value settings applied at initialization. Use Copy to copy settings from the Configurable Settings list. Click Remove to remove settings from this list.


Module Path (32-bit)

A read-only field that specifies either the simple filename or the full pathname of a native 32-bit software module, such as a DLL, for a simulation driver.

If this field contains a fully specified path to the instrument driver code module, the file should be available at that location. If the field contains only a filename, then the file should be located in the system search path.


Module Path (64-bit)

A read-only field that specifies either the simple filename or the full pathname of a native 64-bit software module, such as a DLL, for a simulation driver.

If this field contains a fully specified path to the instrument driver code module, the file should be available at that location. If the field contains only a filename, then the file should be located in the system search path.


Prefix

A read-only field that specifies the prefix associated with this simulation driver software module.


Simulate With

This listbox enables you to choose if you want to simulate instrument driver I/O operations. Simulation allows you to develop and use application code even when the instrument is not available.

If you choose to simulate with a specific driver, the specific driver functions do not perform instrument I/O. Instead, the specific driver functions return random simulated values for output parameters that represent instrument data. If you choose to simulate with a class simulation driver, select the simulation driver that matches the class of your specific driver. The simulation driver extends the simulation capabilities built into all specific drivers and allows you to configure the nature of the simulated instrument data interactively.


Simulation Driver Software Module

The Simulation Driver Software Module field contains a list of simulation drivers installed on the system. Select the driver from the list that matches the class of your IVI specific driver. To view more details about the simulation driver, click Go To to display the MAX configuration view.


Software Module

The Software Module field contains a list of IVI drivers installed on the system. Select the driver from the list that you would like to use in your application. To view more details about the driver, click Go To to display the MAX configuration view.


Supported Instrument Models

A read-only field that displays a list of instrument models supported by this instrument driver software module.


Value

Contains the initial value that is applied to the attribute at initialization. You can edit the initial value in this field.

To change the value of the channel-based attribute, use the following syntax:

CH1:value; CH2:value; ... ; *:value

where an asterisk (*) indicates that the value is applied to all channels other than ones already specified in this field. For ViBoolean attributes, use True to enable the attribute or False to disable the attribute.


Virtual Name Mappings

This table represents a mapping between the physical name of an instrument and the associated virtual name. To create and configure a new mapping, click the Add button. To remove a virtual name mapping, highlight the virtual name and click Remove.

The table contains two fields, as follows:

  • Virtual Name–Enter the virtual name you have chosen in this field. IVI uses virtual names to allow the application program to use one set of names for all possible specific drivers. For example, an IVI specific driver might name channels A, B, and C, while you might choose to name them Chan1, Chan2, and Chan3. In this example, A, B, and C are physical names defined by the software module. Chan1, Chan2, and Chan3 are the corresponding virtual names used by the application program.
  • Physical Name–Enter the physical name string that is associated with (or mapped to) the virtual name.


Initial Settings Tab

On the Initial Settings tab, you can add or remove initial settings.

Adding Settings

To add settings, highlight the name of a setting in the Configurable Settings list and click Add.

Note If the driver does not define configurable initial settings, the list will be empty.

Removing Settings

To remove settings, highlight the name of a setting in the Initial Settings list and click Remove.

Note You can modify the value of any initial setting by selecting it in the Initial Settings list and changing the Value field.

To configure additional properties of the driver session, click one of the following tabs: Hardware, Software, Virtual Names, or General.


Initial Settings Tab

On the Initial Settings tab, you can remove settings from the Initial Settings list. To remove a setting, complete the following steps:

  1. Highlight the name of the setting you want to remove.
  2. Click Remove.
Note You can modify the value of any initial setting by selecting it in the Initial Settings list and changing the Value field.

To configure additional properties of the driver session, click one of the following tabs: Hardware, Software, Virtual Names, or General.


Initialization Options

When you configure a driver session in MAX, you can enable or disable the following initialization options: Cache, Range Check, Record Coercions, Interchange Check, and Query Instrument Status.


Configuring a Driver Session

A driver session defines a set of properties for use by IVI instrument driver software modules, such as initial configurable settings for attributes, virtual name mappings, simulation settings, and so on. Multiple driver sessions can exist for each instrument driver software module.

To configure the properties of a new driver session or to modify an existing driver session, complete the following steps:

  1. Click the appropriate driver session in the MAX configuration tree.
  2. Click one or more of the following tabs in the configuration view and enter the appropriate configuration information:
    • General Tab
    • Hardware Tab
    • Software Tab
    • Virtual Names Tab
    • Initial Settings Tab
  3. After you complete your configuration, click Save IVI Configuration at the top of the configuration view to save the new driver session configuration. If you decide not to save your changes, click Revert to revert to the previous configuration.


National Instruments Measurement & Automation Explorer

Advanced

The Advanced category provides access to all of your instrument driver software modules, simulation driver software modules, and simulation driver sessions.


National Instruments Measurement & Automation Explorer

Driver Sessions

A driver session defines a set of properties for use by IVI instrument driver software modules, such as initial configurable settings for attributes, virtual name mappings, simulation settings, and so on. Multiple driver sessions can exist for each instrument driver software module.

What do you want to do?

Create a new driver session

To create a new driver session, right-click Driver Sessions in the configuration tree and select Create New (case-sensitive). Replace the default driver session name, NewDriverSession, with the new case-sensitive name of your choice.

Delete an existing driver session

To delete an existing driver session, right-click the item under Driver Sessions in the configuration tree and select Delete.

Rename an existing driver session

To rename an existing driver session, right-click the item under Driver Sessions in the configuration tree. Select Rename (case-sensitive) and enter the new name.


What is a Hardware Asset?

Instrument Driver Software Modules

An instrument driver software module is a particular instrument driver software component that is installed and registered on your system.

What do you want to do?

Remove an installed instrument driver software module

To remove a previously installed software module from your system, use your system's uninstall program.

Create a new instrument driver software module

To create a new instrument driver software module, right-click Instrument Driver Software Modules in the configuration tree and select Create New (case-sensitive). Replace the default software module name, NewSoftwareModule, with a new case-sensitive name of your choice.

Delete an existing instrument driver software module

To delete an existing software module, right-click the item under Instrument Driver Software Modules in the configuration tree and select Delete.

Rename an existing instrument driver software module

To rename an existing software module, right-click the item under Instrument Driver Software Modules in the configuration tree, select Rename (case-sensitive), and enter the new name.


National Instruments Measurement & Automation Explorer

Logical Names

Logical names allow you to define and name multiple driver sessions. You can switch between driver sessions by passing a logical name to the initialize function of a class driver, which identifies the software module and instrument to use (example: "SampleDmm"). Application programs written using a class driver use logical names to avoid direct references to software modules and hardware assets.

What do you want to do?

Create a new logical name

To create a new logical name, right-click Logical Names in the configuration tree and select Create New (case-sensitive). Replace the default logical name, NewLogicalName, with the new case-sensitive name of your choice.

Delete an existing logical name

To delete an existing logical name, right-click the item under Logical Names in the configuration tree and select Delete.

Rename an existing logical name

To rename an existing logical name, right-click the item under Logical Names in the configuration tree. Select Rename (case-sensitive) and enter the new name.


What is a Simulation Driver Session?

Simulation Driver Sessions

A simulation driver session refers to particular simulation driver and to the initial attribute settings for that driver.

What do you want to do?

Create a new simulation driver session

To create a new simulation driver session, right-click Simulation Driver Sessions in the MAX configuration tree and select Create New (case-sensitive). Replace the default simulation driver session name, NewSimDriverSession, with a case-sensitive name of your choice.

Delete an existing simulation driver session

To delete an existing simulation driver session, right-click the item under Simulation Driver Sessions and select Delete.

Rename an existing simulation driver session

To rename an existing simulation driver session, right-click the item under Simulation Driver Sessions, select Rename (case-sensitive), and enter the new name.


What is a Simulation Driver Software Module?

Simulation Driver Software Modules

A simulation driver software module is a software component that "plugs in" to the corresponding class driver and performs flexible output data simulation.

Note You cannot modify, add, or remove a simulation driver software module using MAX.


IVI

IVI Drivers

The IVI Drivers category provides access to all of your IVI logical names. Logical names allow you to define and name multiple driver sessions and switch between them by referencing the logical name in an application program. Application programs use logical names to avoid direct references to software modules and hardware assets.

What do you want to do?

Download and install an IVI driver

To download an IVI specific driver, go to the Instrument Driver Network. To obtain a list of all available IVI drivers, select IVI for the Technology under the Browse Drivers By section. Install the downloaded driver. The driver installer automatically creates a driver session entry under the Driver Sessions item and populates the software module information under the Instrument Driver Software Module item in the Advanced folder.

Logically name a driver session

To create a logical name for your driver session, expand the IVI Drivers category to the left. Right-click on the Logical Names item in the configuration tree, select Create New (case-sensitive), and complete the configuration panel for the new logical name.

Note Refer to the help windows to the right of any configuration panel for information on configuring an item. You also can refer to the NI Developer Zone for more information about using MAX to configure your IVI system.

Configure existing driver session properties

To configure an existing driver session, click the Go To button in the logical name configuration panel, or select the appropriate driver session item under Driver Sessions in the configuration tree. Specify initialization options, hardware asset, software module, virtual name mappings, and so on in the driver session configuration panel.

Swap instruments

To swap an instrument, select the appropriate logical name item under Logical Names in the configuration tree. On the configuration panel, select the driver session that your logical name should refer to from the Driver Sessions listbox.